# Method: accounts.projects.deliveries.deliveryFiles.list

- [HTTP request](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles/list#body.request_body)
- [Response body](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles/list#body.response_body)
  - [JSON representation](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles/list#body.ListDeliveryFilesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles/list#body.aspect)

Lists delivery files for a given delivery of a project.

### HTTP request

`GET https://mmmdata.googleapis.com/v0/{parent=accounts/*/projects/*/deliveries/*}/deliveryFiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of delivery files. Format: `accounts/{account}/projects/{project}/deliveries/{delivery}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of delivery files to return. The service may return fewer than this value. If unspecified, at most 10 delivery files will be returned. The maximum value is 50; values above 50 will be coerced to 50. |
| `pageToken` | `string` Optional. A page token, received from a previous `deliveryFiles.list` call. Provide this to retrieve the subsequent page. If this is not provided, then the first page of results is returned. When paginating, all other parameters provided to `deliveryFiles.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response object for the deliveryFiles.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deliveryFiles": [ { object (`https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles#DeliveryFile`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `deliveryFiles[]` | ``object (`https://developers.google.com/mmm-data-platform/reference/rest/v0/accounts.projects.deliveries.deliveryFiles#DeliveryFile`)`` The delivery files from the specified delivery. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/mmm_data`
- `https://www.googleapis.com/auth/mmm_data.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).